﻿using System;
using Microsoft.Owin.Hosting;
using MyProject.SignalR;

namespace MyProject
{
    class Program
    {
        static void Main(string[] args)
        {
            IDisposable signalRHost = null;

            try
            {
                string serverUrl = "http://localhost:9562";
                Console.WriteLine("Starting SignalR server, listening at {0}", serverUrl);
                signalRHost = WebApp.Start<Startup>(serverUrl);
                Console.ReadLine();
            }
            catch (Exception ex)
            {
                Console.WriteLine("Failed to start SignalR server. {0}", ex.Message);
            }

            if (signalRHost != null)
            {
                signalRHost.Dispose();
            }
        }
    }
}
